| Disk ARchive 2.6.11 Full featured and portable backup and archiving tool

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libdar::archive_options_test Class Reference
API

class holding optional parameters used to test the structure coherence of an existing archive More...

`#include <archive_options.hpp>`

## Public Member Functions
| archive_options_test (const archive_options_test &ref)
| archive_options_test (archive_options_test &&ref) noexcept
archive_options_test & | operator= (const archive_options_test &ref)
archive_options_test & | operator= (archive_options_test &&ref) noexcept
void | clear ()
void | set_selection (const mask &selection)
| list of filenames to consider (directory not concerned by this fiter)
void | set_subtree (const mask &subtree)
| defines the directory and files to consider (this mask will be applied to the absolute path of files being proceeded)
void | set_info_details (bool info_details)
void | set_display_skipped (bool display_skipped)
| whether to display files that have been excluded by filters
void | set_display_treated (bool display_treated, bool only_dir)
void | set_empty (bool empty)
| dry-run exectution if set to true
const mask & | get_selection () const
const mask & | get_subtree () const
bool | get_info_details () const
bool | get_display_treated () const
bool | get_display_treated_only_dir () const
bool | get_display_skipped () const
bool | get_empty () const

## Private Member Functions
void | destroy () noexcept
void | nullifyptr () noexcept
void | copy_from (const archive_options_test &ref)
void | move_from (archive_options_test &&ref) noexcept

## Private Attributes
mask * | x_selection
mask * | x_subtree
bool | x_info_details
bool | x_display_treated
bool | x_display_treated_only_dir
bool | x_display_skipped
bool | x_empty

## Detailed Description

class holding optional parameters used to test the structure coherence of an existing archive

Definition at line 1531 of file archive_options.hpp.

## Member Function Documentation

## ◆ set_display_treated()

void libdar::archive_options_test::set_display_treated | ( | bool | display_treated,
|  | bool | only_dir
| ) |  |
| inline

defines whether to show treated files

Parameters

  [in] | display_treated | true to display processed inodes
  [in] | only_dir | only display the current directory under processing, not its individual files

Definition at line 1566 of file archive_options.hpp.

## ◆ set_info_details()

void libdar::archive_options_test::set_info_details | ( | bool | info_details | ) |
| inline

whether the user needs detailed output of the operation

Note
  in API 5.5.x and before this switch drove the displaying of processing messages and treated files. now it only drives the display of processing messages, use set_display_treated to define whether files under treatement should be display or not

Definition at line 1558 of file archive_options.hpp.

The documentation for this class was generated from the following file:

- archive_options.hpp